All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.html
Class DefaultTableCellRenderer

    com.sas.servlet.tbeans.tableview.html.DefaultTableCellRenderer

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableCell, TableCellRenderer, javax.swing.SwingConstants

Direct Known Subclasses:
  BaseFieldRenderer, ConditionTableCellRenderer, DefaultRowSelectionRenderer, DefaultTableHeaderRenderer, DefaultTableRowHeaderRenderer, InformationServicesDateCellRenderer

    public class DefaultTableCellRenderer

implements TableCellRenderer

The DefaultTableCellRenderer is the default class for generating the appropriate HTML 4.0 to represent a cell of a TableView. It renderers the HTML language tags and the cell's contents (or body).

For example: An html table cell renderer would generate "<TD>cell contents</TD>".

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:CellRenderer custom tag.

See Also:
  `TableView`

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`DefaultTableCellRenderer()` Constructs a new DefaultTableCellRenderer.
`DefaultTableCellRenderer(TableCellContentsRenderer cRenderer)` Constructs a new DefaultTableCellRenderer with the given TableCellContentsRenderer

Method Summary
`TableCellContentsRenderer` | `getTableCellContentsRenderer()` Gets the cell contents renderer used to display the cell's contents.
`void` | `setTableCellContentsRenderer(TableCellContentsRenderer contentsRenderer)` Sets the cell contents renderer used to display the cell's contents.
`void` | `write(java.io.PrintWriter out, AbstractBaseTableView tableview, java.lang.Object value, java.lang.String name, ActionList actions)` Write the entire table cell in the appropriate markup language.

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableCell
`getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getId, getLocale, getRowSpan, getScope, getStyleInfo, getVerticalAlignment, getWidth, getWidthPercentage, isHeader, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeader, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setId, setLocale, setNoWrap, setRowSpan, setScope, setStyleInfo, setVerticalAlignment, setWidth, setWidthPercentage, writeBeginCell, writeEndCell`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCellRenderer
`getLocale, setLocale`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCell
`isHeader, setHeader, writeBeginCell, writeEndCell`

Constructor Detail

### DefaultTableCellRenderer

    public DefaultTableCellRenderer()

  Constructs a new DefaultTableCellRenderer.

### DefaultTableCellRenderer

    public DefaultTableCellRenderer(TableCellContentsRenderer cRenderer)

  Constructs a new DefaultTableCellRenderer with the given TableCellContentsRenderer

  Parameters:
    `cRenderer` - an instance of TableCellContentsRenderer

Method Detail

### setTableCellContentsRenderer

    public void setTableCellContentsRenderer(TableCellContentsRenderer contentsRenderer)

  Sets the cell contents renderer used to display the cell's contents.

  Specified by:
    `setTableCellContentsRenderer` in interface `TableCellRenderer`
  Parameters:
    `contentsRenderer` - the renderer used to display the cell's contents.

### getTableCellContentsRenderer

    public TableCellContentsRenderer getTableCellContentsRenderer()

  Gets the cell contents renderer used to display the cell's contents.

  Specified by:
    `getTableCellContentsRenderer` in interface `TableCellRenderer`
  Returns:
    the renderer used to display the cell's contents.

### write

    public void write(java.io.PrintWriter out,
                      AbstractBaseTableView tableview,
                      java.lang.Object value,
                      java.lang.String name,
                      ActionList actions)
               throws java.io.IOException

  Write the entire table cell in the appropriate markup language. This method calls the writeBeginCell, writeEndCell and TableCellContentsRenderer.setCellRendererContentsValue methods.

  Specified by:
    `write` in interface `TableCell`
  Specified by:
    `write` in class `BaseTableCell`
  Parameters:
    `out` - the output stream
    `tableview` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents component
    `actions` - an actionlist of all the valid actions for this cell
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.